Interface SoroushBotEndpointBuilderFactory.SoroushBotBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- SoroushBotEndpointBuilderFactory
public static interface SoroushBotEndpointBuilderFactory.SoroushBotBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Deprecated Methods Modifier and Type Method Description default SoroushBotEndpointBuilderFactory.SoroushBotEndpointBuildersoroush(String path)Deprecated.default SoroushBotEndpointBuilderFactory.SoroushBotEndpointBuildersoroush(String componentName, String path)Deprecated.
-
-
-
Method Detail
-
soroush
@Deprecated default SoroushBotEndpointBuilderFactory.SoroushBotEndpointBuilder soroush(String path)
Deprecated.Soroush (camel-soroush) Send and receive messages as a Soroush chat bot. Category: chat Since: 3.0 Maven coordinates: org.apache.camel:camel-soroush Syntax:soroush:actionPath parameter: action (required) The action to do. There are 4 enums and the value can be one of: sendMessage, getMessage, uploadFile, downloadFile- Parameters:
path- action- Returns:
- the dsl builder
-
soroush
@Deprecated default SoroushBotEndpointBuilderFactory.SoroushBotEndpointBuilder soroush(String componentName, String path)
Deprecated.Soroush (camel-soroush) Send and receive messages as a Soroush chat bot. Category: chat Since: 3.0 Maven coordinates: org.apache.camel:camel-soroush Syntax:soroush:actionPath parameter: action (required) The action to do. There are 4 enums and the value can be one of: sendMessage, getMessage, uploadFile, downloadFile- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- action- Returns:
- the dsl builder
-
-